/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   cmd.c                                              :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/02/15 14:18:21 by cchauvet          #+#    #+#             */
/*   Updated: 2023/03/31 16:31:41 by alouis-j         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "cmd_private.h"

void	ft_cmddel(void *ptr)
{
	t_cmd	*content;

	content = (t_cmd *) ptr;
	if (content->args != NULL)
		ft_freer_tab_ultimate(1, content->args);
	if (content->own_cmd == false && content->executable != NULL)
		free(content->executable);
	if (content->fd_in[0] > 2)
		close(content->fd_in[0]);
	if (content->fd_out[0] > 2)
		close(content->fd_out[0]);
	if (content->fd_in[1] > 2)
		close(content->fd_in[1]);
	if (content->fd_out[1] > 2)
		close(content->fd_out[1]);
	free(content);
}

void	ft_cmdcloser(void *ptr)
{
	t_cmd	*cmd;

	cmd = ptr;
	ft_closer(cmd->fd_in);
	ft_closer(cmd->fd_out);
}
